> ## Documentation Index
> Fetch the complete documentation index at: https://docs.worthai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Score

> Retrieve the Worth score and detailed score breakdown for the specified business entity.

The optional `year` and `month` query parameters can be used to retrieve a historical score for a specific month. Because a business score can be generated more than once within the same month, supplying these parameters will return the **last** score generated for that specific year/month combination.

If `year` and `month` are not supplied, the API defaults to the current year and current month and returns the latest score generated within the current month.



## OpenAPI

````yaml get /score/business/{businessID}
openapi: 3.1.0
info:
  title: Score Service
  description: >-
    This service takes care to calculate the score of the business based on the
    integration data.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.joinworth.com/score/api/v1
    variables: {}
security: []
tags:
  - name: Misc
    description: ''
paths:
  /score/business/{businessID}:
    parameters: []
    get:
      tags:
        - Misc
      summary: Get Business Score
      description: >-
        Retrieve the Worth score and detailed score breakdown for the specified
        business entity.


        The optional `year` and `month` query parameters can be used to retrieve
        a historical score for a specific month. Because a business score can be
        generated more than once within the same month, supplying these
        parameters will return the **last** score generated for that specific
        year/month combination.


        If `year` and `month` are not supplied, the API defaults to the current
        year and current month and returns the latest score generated within the
        current month.
      operationId: GetBusinessScore
      parameters:
        - name: businessID
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            examples:
              - 9289f785-e7f3-4c05-b5cc-6caf982bde63
        - name: year
          in: query
          description: >-
            Optional. The exact year (4-digit) in which the score was generated.
            Because a business score can be generated multiple times, passing
            this historical parameter together with `month` returns the **last**
            score generated for that specific year/month period. If `year` and
            `month` are not supplied, the API defaults to the current year and
            returns the score generated in the current month.
          required: false
          style: form
          explode: true
          schema:
            type: integer
            minimum: 1900
            maximum: 9999
            examples:
              - 2025
        - name: month
          in: query
          description: >-
            Optional. The exact month (1-12) in which the score was generated.
            Because a business score can be generated multiple times, passing
            this historical parameter together with `year` returns the **last**
            score generated for that specific year/month period. If `year` and
            `month` are not supplied, the API defaults to the current month and
            returns the score generated in the current month.
          required: false
          style: form
          explode: true
          schema:
            type: integer
            minimum: 1
            maximum: 12
            examples:
              - 3
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: Mon, 23 Dec 2024 09:45:35 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: '5443'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: keep-alive
            Content-Security-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: >-
                    default-src 'self';base-uri 'self';font-src 'self' https:
                    data:;form-action 'self';frame-ancestors 'self';img-src
                    'self' data:;object-src 'none';script-src
                    'self';script-src-attr 'none';style-src 'self' https:
                    'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: same-origin
            Cross-Origin-Resource-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: same-origin
            Origin-Agent-Cluster:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: '?1'
            Referrer-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: no-referrer
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: nosniff
            X-DNS-Prefetch-Control:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: 'off'
            X-Download-Options:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: noopen
            X-Frame-Options:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: none
            X-XSS-Protection:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: '0'
            Vary:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: Origin
            Access-Control-Allow-Credentials:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: 'true'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: W/"1543-pCI9TccLTs7MUS9xffXsvkExNH0"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Success'
                  - examples:
                      - status: success
                        message: Success
                        data:
                          id: 17f1de9d-b38d-47d9-bcd6-21662b648ada
                          month: '12'
                          year: '2024'
                          created_at: '2024-12-23T09:03:07.705Z'
                          business_id: 9289f785-e7f3-4c05-b5cc-6caf982bde63
                          customer_id: null
                          status: SUCCESS
                          score_weightage_config: 3d790145-0b4a-4de7-969a-d118123123bc
                          weighted_score_100: '78'
                          weighted_score_850: '728'
                          risk_level: LOW
                          score_decision: APPROVE
                          base_score: '626.78'
                          version: '2.2'
                          score_distribution:
                            - id: 2
                              code: PUBLIC_RECORDS
                              label: Public Records
                              is_deleted: false
                              total_weightage: 40
                              factors:
                                - id: 14
                                  code: JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER
                                  label: Judgements and Liens
                                  category_id: 2
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 14
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: -0.11
                                  score_850: -2
                                  weighted_score_850: -0.11
                                  status: SUCCESS
                                  log: Success
                                - id: 15
                                  code: SOCIAL_REVIEWS_AI_PLACEHOLDER
                                  label: Social Reviews
                                  category_id: 2
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 15
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 24.82
                                  score_850: -2
                                  weighted_score_850: 24.82
                                  status: SUCCESS
                                  log: Success
                                - id: 16
                                  code: BANKRUPTCIES_AI_PLACEHOLDER
                                  label: Bankruptcies
                                  category_id: 2
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 16
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 86.31
                                  score_850: -2
                                  weighted_score_850: 86.31
                                  status: SUCCESS
                                  log: Success
                              score: '111.02'
                              score_100: '111.02'
                              score_850: '111.02'
                            - id: 4
                              code: BUSINESS_OPERATIONS
                              label: Business Operations
                              is_deleted: false
                              total_weightage: 0
                              factors:
                                - id: 27
                                  code: BALANCE_SHEET_AI_PLACEHOLDER
                                  label: Balance Sheet
                                  category_id: 4
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 27
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: -25.26
                                  score_850: -2
                                  weighted_score_850: -25.26
                                  status: SUCCESS
                                  log: Success
                                - id: 25
                                  code: PROFIT_AND_LOSS_AI_PLACEHOLDER
                                  label: Profit and Loss
                                  category_id: 4
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 25
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 6.44
                                  score_850: -2
                                  weighted_score_850: 6.44
                                  status: SUCCESS
                                  log: Success
                                - id: 26
                                  code: CASH_FLOW_AI_PLACEHOLDER
                                  label: Cash Flow
                                  category_id: 4
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 26
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: -4.94
                                  score_850: -2
                                  weighted_score_850: -4.94
                                  status: SUCCESS
                                  log: Success
                              score: '-23.76'
                              score_100: '-23.76'
                              score_850: '-23.76'
                            - id: 5
                              code: COMPANY_PROFILE
                              label: Company Profile
                              is_deleted: false
                              total_weightage: 0
                              factors:
                                - id: 17
                                  code: CREDIT_BUREAU_AI_PLACEHOLDER
                                  label: Credit Bureau
                                  category_id: 5
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 17
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: -4.19
                                  score_850: -2
                                  weighted_score_850: -4.19
                                  status: SUCCESS
                                  log: Success
                              score: '-4.19'
                              score_100: '-4.19'
                              score_850: '-4.19'
                            - id: 6
                              code: FINANCIAL_TRENDS
                              label: Financial Trends
                              is_deleted: false
                              total_weightage: 0
                              factors:
                                - id: 21
                                  code: EFFICIENCY_RATIOS_AI_PLACEHOLDER
                                  label: Efficiency Ratio
                                  category_id: 6
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 21
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 0.03
                                  score_850: -2
                                  weighted_score_850: 0.03
                                  status: SUCCESS
                                  log: Success
                                - id: 20
                                  code: SOLVENCY_RATIOS_AI_PLACEHOLDER
                                  label: Solvency Ratio
                                  category_id: 6
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 20
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 2.3
                                  score_850: -2
                                  weighted_score_850: 2.3
                                  status: SUCCESS
                                  log: Success
                                - id: 18
                                  code: ECONOMICS_AI_PLACEHOLDER
                                  label: Economics
                                  category_id: 6
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 18
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 7.77
                                  score_850: -2
                                  weighted_score_850: 7.77
                                  status: SUCCESS
                                  log: Success
                                - id: 19
                                  code: LIQUIDITY_RATIOS_AI_PLACEHOLDER
                                  label: Liquidity Ratios
                                  category_id: 6
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 19
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 0.02
                                  score_850: -2
                                  weighted_score_850: 0.02
                                  status: SUCCESS
                                  log: Success
                              score: '10.12'
                              score_100: '10.12'
                              score_850: '10.12'
                            - id: 8
                              code: PERFORMANCE_MEASURES
                              label: Performance Measures
                              is_deleted: false
                              total_weightage: 0
                              factors:
                                - id: 22
                                  code: PROFITABILITY_RATIOS_AI_PLACEHOLDER
                                  label: Profitability Ratio
                                  category_id: 8
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 22
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 2.51
                                  score_850: -2
                                  weighted_score_850: 2.51
                                  status: SUCCESS
                                  log: Success
                                - id: 23
                                  code: VALUATION_RATIOS_AI_PLACEHOLDER
                                  label: Valuation Ratio
                                  category_id: 8
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 23
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 1.83
                                  score_850: -2
                                  weighted_score_850: 1.83
                                  status: SUCCESS
                                  log: Success
                                - id: 24
                                  code: FINANCIAL_RISKS_AI_PLACEHOLDER
                                  label: Financial Risks
                                  category_id: 8
                                  is_deleted: false
                                  parent_factor_id: null
                                  weightage: 0
                                  factor_id: 24
                                  value: -2
                                  score_100: -2
                                  weighted_score_100: 3.88
                                  score_850: -2
                                  weighted_score_850: 3.88
                                  status: SUCCESS
                                  log: Success
                              score: '8.22'
                              score_100: '8.22'
                              score_850: '8.22'
                          is_score_calculated: true
                contentMediaType: application/json; charset=utf-8
              example:
                status: success
                message: Success
                data:
                  id: 17f1de9d-b38d-47d9-bcd6-21662b648ada
                  month: '12'
                  year: '2024'
                  created_at: '2024-12-23T09:03:07.705Z'
                  business_id: 9289f785-e7f3-4c05-b5cc-6caf982bde63
                  customer_id: null
                  status: SUCCESS
                  score_weightage_config: 3d790145-0b4a-4de7-969a-d118123123bc
                  weighted_score_100: '78'
                  weighted_score_850: '728'
                  risk_level: LOW
                  score_decision: APPROVE
                  base_score: '626.78'
                  version: '2.2'
                  score_distribution:
                    - id: 2
                      code: PUBLIC_RECORDS
                      label: Public Records
                      is_deleted: false
                      total_weightage: 40
                      factors:
                        - id: 14
                          code: JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER
                          label: Judgements and Liens
                          category_id: 2
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 14
                          value: -2
                          score_100: -2
                          weighted_score_100: -0.11
                          score_850: -2
                          weighted_score_850: -0.11
                          status: SUCCESS
                          log: Success
                        - id: 15
                          code: SOCIAL_REVIEWS_AI_PLACEHOLDER
                          label: Social Reviews
                          category_id: 2
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 15
                          value: -2
                          score_100: -2
                          weighted_score_100: 24.82
                          score_850: -2
                          weighted_score_850: 24.82
                          status: SUCCESS
                          log: Success
                        - id: 16
                          code: BANKRUPTCIES_AI_PLACEHOLDER
                          label: Bankruptcies
                          category_id: 2
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 16
                          value: -2
                          score_100: -2
                          weighted_score_100: 86.31
                          score_850: -2
                          weighted_score_850: 86.31
                          status: SUCCESS
                          log: Success
                      score: '111.02'
                      score_100: '111.02'
                      score_850: '111.02'
                    - id: 4
                      code: BUSINESS_OPERATIONS
                      label: Business Operations
                      is_deleted: false
                      total_weightage: 0
                      factors:
                        - id: 27
                          code: BALANCE_SHEET_AI_PLACEHOLDER
                          label: Balance Sheet
                          category_id: 4
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 27
                          value: -2
                          score_100: -2
                          weighted_score_100: -25.26
                          score_850: -2
                          weighted_score_850: -25.26
                          status: SUCCESS
                          log: Success
                        - id: 25
                          code: PROFIT_AND_LOSS_AI_PLACEHOLDER
                          label: Profit and Loss
                          category_id: 4
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 25
                          value: -2
                          score_100: -2
                          weighted_score_100: 6.44
                          score_850: -2
                          weighted_score_850: 6.44
                          status: SUCCESS
                          log: Success
                        - id: 26
                          code: CASH_FLOW_AI_PLACEHOLDER
                          label: Cash Flow
                          category_id: 4
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 26
                          value: -2
                          score_100: -2
                          weighted_score_100: -4.94
                          score_850: -2
                          weighted_score_850: -4.94
                          status: SUCCESS
                          log: Success
                      score: '-23.76'
                      score_100: '-23.76'
                      score_850: '-23.76'
                    - id: 5
                      code: COMPANY_PROFILE
                      label: Company Profile
                      is_deleted: false
                      total_weightage: 0
                      factors:
                        - id: 17
                          code: CREDIT_BUREAU_AI_PLACEHOLDER
                          label: Credit Bureau
                          category_id: 5
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 17
                          value: -2
                          score_100: -2
                          weighted_score_100: -4.19
                          score_850: -2
                          weighted_score_850: -4.19
                          status: SUCCESS
                          log: Success
                      score: '-4.19'
                      score_100: '-4.19'
                      score_850: '-4.19'
                    - id: 6
                      code: FINANCIAL_TRENDS
                      label: Financial Trends
                      is_deleted: false
                      total_weightage: 0
                      factors:
                        - id: 21
                          code: EFFICIENCY_RATIOS_AI_PLACEHOLDER
                          label: Efficiency Ratio
                          category_id: 6
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 21
                          value: -2
                          score_100: -2
                          weighted_score_100: 0.03
                          score_850: -2
                          weighted_score_850: 0.03
                          status: SUCCESS
                          log: Success
                        - id: 20
                          code: SOLVENCY_RATIOS_AI_PLACEHOLDER
                          label: Solvency Ratio
                          category_id: 6
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 20
                          value: -2
                          score_100: -2
                          weighted_score_100: 2.3
                          score_850: -2
                          weighted_score_850: 2.3
                          status: SUCCESS
                          log: Success
                        - id: 18
                          code: ECONOMICS_AI_PLACEHOLDER
                          label: Economics
                          category_id: 6
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 18
                          value: -2
                          score_100: -2
                          weighted_score_100: 7.77
                          score_850: -2
                          weighted_score_850: 7.77
                          status: SUCCESS
                          log: Success
                        - id: 19
                          code: LIQUIDITY_RATIOS_AI_PLACEHOLDER
                          label: Liquidity Ratios
                          category_id: 6
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 19
                          value: -2
                          score_100: -2
                          weighted_score_100: 0.02
                          score_850: -2
                          weighted_score_850: 0.02
                          status: SUCCESS
                          log: Success
                      score: '10.12'
                      score_100: '10.12'
                      score_850: '10.12'
                    - id: 8
                      code: PERFORMANCE_MEASURES
                      label: Performance Measures
                      is_deleted: false
                      total_weightage: 0
                      factors:
                        - id: 22
                          code: PROFITABILITY_RATIOS_AI_PLACEHOLDER
                          label: Profitability Ratio
                          category_id: 8
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 22
                          value: -2
                          score_100: -2
                          weighted_score_100: 2.51
                          score_850: -2
                          weighted_score_850: 2.51
                          status: SUCCESS
                          log: Success
                        - id: 23
                          code: VALUATION_RATIOS_AI_PLACEHOLDER
                          label: Valuation Ratio
                          category_id: 8
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 23
                          value: -2
                          score_100: -2
                          weighted_score_100: 1.83
                          score_850: -2
                          weighted_score_850: 1.83
                          status: SUCCESS
                          log: Success
                        - id: 24
                          code: FINANCIAL_RISKS_AI_PLACEHOLDER
                          label: Financial Risks
                          category_id: 8
                          is_deleted: false
                          parent_factor_id: null
                          weightage: 0
                          factor_id: 24
                          value: -2
                          score_100: -2
                          weighted_score_100: 3.88
                          score_850: -2
                          weighted_score_850: 3.88
                          status: SUCCESS
                          log: Success
                      score: '8.22'
                      score_100: '8.22'
                      score_850: '8.22'
                  is_score_calculated: true
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    Success:
      title: Success
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data'
      examples:
        - status: success
          message: Success
          data:
            id: 17f1de9d-b38d-47d9-bcd6-21662b648ada
            month: '12'
            year: '2024'
            created_at: '2024-12-23T09:03:07.705Z'
            business_id: 9289f785-e7f3-4c05-b5cc-6caf982bde63
            customer_id: null
            status: SUCCESS
            score_weightage_config: 3d790145-0b4a-4de7-969a-d118123123bc
            weighted_score_100: '78'
            weighted_score_850: '728'
            risk_level: LOW
            score_decision: APPROVE
            base_score: '626.78'
            version: '2.2'
            score_distribution:
              - id: 2
                code: PUBLIC_RECORDS
                label: Public Records
                is_deleted: false
                total_weightage: 40
                factors:
                  - id: 14
                    code: JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER
                    label: Judgements and Liens
                    category_id: 2
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 14
                    value: -2
                    score_100: -2
                    weighted_score_100: -0.11
                    score_850: -2
                    weighted_score_850: -0.11
                    status: SUCCESS
                    log: Success
                  - id: 15
                    code: SOCIAL_REVIEWS_AI_PLACEHOLDER
                    label: Social Reviews
                    category_id: 2
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 15
                    value: -2
                    score_100: -2
                    weighted_score_100: 24.82
                    score_850: -2
                    weighted_score_850: 24.82
                    status: SUCCESS
                    log: Success
                  - id: 16
                    code: BANKRUPTCIES_AI_PLACEHOLDER
                    label: Bankruptcies
                    category_id: 2
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 16
                    value: -2
                    score_100: -2
                    weighted_score_100: 86.31
                    score_850: -2
                    weighted_score_850: 86.31
                    status: SUCCESS
                    log: Success
                score: '111.02'
                score_100: '111.02'
                score_850: '111.02'
              - id: 4
                code: BUSINESS_OPERATIONS
                label: Business Operations
                is_deleted: false
                total_weightage: 0
                factors:
                  - id: 27
                    code: BALANCE_SHEET_AI_PLACEHOLDER
                    label: Balance Sheet
                    category_id: 4
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 27
                    value: -2
                    score_100: -2
                    weighted_score_100: -25.26
                    score_850: -2
                    weighted_score_850: -25.26
                    status: SUCCESS
                    log: Success
                  - id: 25
                    code: PROFIT_AND_LOSS_AI_PLACEHOLDER
                    label: Profit and Loss
                    category_id: 4
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 25
                    value: -2
                    score_100: -2
                    weighted_score_100: 6.44
                    score_850: -2
                    weighted_score_850: 6.44
                    status: SUCCESS
                    log: Success
                  - id: 26
                    code: CASH_FLOW_AI_PLACEHOLDER
                    label: Cash Flow
                    category_id: 4
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 26
                    value: -2
                    score_100: -2
                    weighted_score_100: -4.94
                    score_850: -2
                    weighted_score_850: -4.94
                    status: SUCCESS
                    log: Success
                score: '-23.76'
                score_100: '-23.76'
                score_850: '-23.76'
              - id: 5
                code: COMPANY_PROFILE
                label: Company Profile
                is_deleted: false
                total_weightage: 0
                factors:
                  - id: 17
                    code: CREDIT_BUREAU_AI_PLACEHOLDER
                    label: Credit Bureau
                    category_id: 5
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 17
                    value: -2
                    score_100: -2
                    weighted_score_100: -4.19
                    score_850: -2
                    weighted_score_850: -4.19
                    status: SUCCESS
                    log: Success
                score: '-4.19'
                score_100: '-4.19'
                score_850: '-4.19'
              - id: 6
                code: FINANCIAL_TRENDS
                label: Financial Trends
                is_deleted: false
                total_weightage: 0
                factors:
                  - id: 21
                    code: EFFICIENCY_RATIOS_AI_PLACEHOLDER
                    label: Efficiency Ratio
                    category_id: 6
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 21
                    value: -2
                    score_100: -2
                    weighted_score_100: 0.03
                    score_850: -2
                    weighted_score_850: 0.03
                    status: SUCCESS
                    log: Success
                  - id: 20
                    code: SOLVENCY_RATIOS_AI_PLACEHOLDER
                    label: Solvency Ratio
                    category_id: 6
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 20
                    value: -2
                    score_100: -2
                    weighted_score_100: 2.3
                    score_850: -2
                    weighted_score_850: 2.3
                    status: SUCCESS
                    log: Success
                  - id: 18
                    code: ECONOMICS_AI_PLACEHOLDER
                    label: Economics
                    category_id: 6
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 18
                    value: -2
                    score_100: -2
                    weighted_score_100: 7.77
                    score_850: -2
                    weighted_score_850: 7.77
                    status: SUCCESS
                    log: Success
                  - id: 19
                    code: LIQUIDITY_RATIOS_AI_PLACEHOLDER
                    label: Liquidity Ratios
                    category_id: 6
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 19
                    value: -2
                    score_100: -2
                    weighted_score_100: 0.02
                    score_850: -2
                    weighted_score_850: 0.02
                    status: SUCCESS
                    log: Success
                score: '10.12'
                score_100: '10.12'
                score_850: '10.12'
              - id: 8
                code: PERFORMANCE_MEASURES
                label: Performance Measures
                is_deleted: false
                total_weightage: 0
                factors:
                  - id: 22
                    code: PROFITABILITY_RATIOS_AI_PLACEHOLDER
                    label: Profitability Ratio
                    category_id: 8
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 22
                    value: -2
                    score_100: -2
                    weighted_score_100: 2.51
                    score_850: -2
                    weighted_score_850: 2.51
                    status: SUCCESS
                    log: Success
                  - id: 23
                    code: VALUATION_RATIOS_AI_PLACEHOLDER
                    label: Valuation Ratio
                    category_id: 8
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 23
                    value: -2
                    score_100: -2
                    weighted_score_100: 1.83
                    score_850: -2
                    weighted_score_850: 1.83
                    status: SUCCESS
                    log: Success
                  - id: 24
                    code: FINANCIAL_RISKS_AI_PLACEHOLDER
                    label: Financial Risks
                    category_id: 8
                    is_deleted: false
                    parent_factor_id: null
                    weightage: 0
                    factor_id: 24
                    value: -2
                    score_100: -2
                    weighted_score_100: 3.88
                    score_850: -2
                    weighted_score_850: 3.88
                    status: SUCCESS
                    log: Success
                score: '8.22'
                score_100: '8.22'
                score_850: '8.22'
            is_score_calculated: true
    Data:
      title: Data
      type: object
      properties:
        id:
          type: string
        month:
          type: string
        year:
          type: string
        created_at:
          type: string
        business_id:
          type: string
        customer_id:
          type:
            - string
            - 'null'
        status:
          type: string
        score_weightage_config:
          type: string
        weighted_score_100:
          type: string
        weighted_score_850:
          type: string
        risk_level:
          type: string
        score_decision:
          type: string
        base_score:
          type: string
        version:
          type: string
        score_distribution:
          type: array
          items:
            $ref: '#/components/schemas/ScoreDistribution'
          description: ''
        is_score_calculated:
          type: boolean
      examples:
        - id: 17f1de9d-b38d-47d9-bcd6-21662b648ada
          month: '12'
          year: '2024'
          created_at: '2024-12-23T09:03:07.705Z'
          business_id: 9289f785-e7f3-4c05-b5cc-6caf982bde63
          customer_id: null
          status: SUCCESS
          score_weightage_config: 3d790145-0b4a-4de7-969a-d118123123bc
          weighted_score_100: '78'
          weighted_score_850: '728'
          risk_level: LOW
          score_decision: APPROVE
          base_score: '626.78'
          version: '2.2'
          score_distribution:
            - id: 2
              code: PUBLIC_RECORDS
              label: Public Records
              is_deleted: false
              total_weightage: 40
              factors:
                - id: 14
                  code: JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER
                  label: Judgements and Liens
                  category_id: 2
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 14
                  value: -2
                  score_100: -2
                  weighted_score_100: -0.11
                  score_850: -2
                  weighted_score_850: -0.11
                  status: SUCCESS
                  log: Success
                - id: 15
                  code: SOCIAL_REVIEWS_AI_PLACEHOLDER
                  label: Social Reviews
                  category_id: 2
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 15
                  value: -2
                  score_100: -2
                  weighted_score_100: 24.82
                  score_850: -2
                  weighted_score_850: 24.82
                  status: SUCCESS
                  log: Success
                - id: 16
                  code: BANKRUPTCIES_AI_PLACEHOLDER
                  label: Bankruptcies
                  category_id: 2
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 16
                  value: -2
                  score_100: -2
                  weighted_score_100: 86.31
                  score_850: -2
                  weighted_score_850: 86.31
                  status: SUCCESS
                  log: Success
              score: '111.02'
              score_100: '111.02'
              score_850: '111.02'
            - id: 4
              code: BUSINESS_OPERATIONS
              label: Business Operations
              is_deleted: false
              total_weightage: 0
              factors:
                - id: 27
                  code: BALANCE_SHEET_AI_PLACEHOLDER
                  label: Balance Sheet
                  category_id: 4
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 27
                  value: -2
                  score_100: -2
                  weighted_score_100: -25.26
                  score_850: -2
                  weighted_score_850: -25.26
                  status: SUCCESS
                  log: Success
                - id: 25
                  code: PROFIT_AND_LOSS_AI_PLACEHOLDER
                  label: Profit and Loss
                  category_id: 4
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 25
                  value: -2
                  score_100: -2
                  weighted_score_100: 6.44
                  score_850: -2
                  weighted_score_850: 6.44
                  status: SUCCESS
                  log: Success
                - id: 26
                  code: CASH_FLOW_AI_PLACEHOLDER
                  label: Cash Flow
                  category_id: 4
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 26
                  value: -2
                  score_100: -2
                  weighted_score_100: -4.94
                  score_850: -2
                  weighted_score_850: -4.94
                  status: SUCCESS
                  log: Success
              score: '-23.76'
              score_100: '-23.76'
              score_850: '-23.76'
            - id: 5
              code: COMPANY_PROFILE
              label: Company Profile
              is_deleted: false
              total_weightage: 0
              factors:
                - id: 17
                  code: CREDIT_BUREAU_AI_PLACEHOLDER
                  label: Credit Bureau
                  category_id: 5
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 17
                  value: -2
                  score_100: -2
                  weighted_score_100: -4.19
                  score_850: -2
                  weighted_score_850: -4.19
                  status: SUCCESS
                  log: Success
              score: '-4.19'
              score_100: '-4.19'
              score_850: '-4.19'
            - id: 6
              code: FINANCIAL_TRENDS
              label: Financial Trends
              is_deleted: false
              total_weightage: 0
              factors:
                - id: 21
                  code: EFFICIENCY_RATIOS_AI_PLACEHOLDER
                  label: Efficiency Ratio
                  category_id: 6
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 21
                  value: -2
                  score_100: -2
                  weighted_score_100: 0.03
                  score_850: -2
                  weighted_score_850: 0.03
                  status: SUCCESS
                  log: Success
                - id: 20
                  code: SOLVENCY_RATIOS_AI_PLACEHOLDER
                  label: Solvency Ratio
                  category_id: 6
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 20
                  value: -2
                  score_100: -2
                  weighted_score_100: 2.3
                  score_850: -2
                  weighted_score_850: 2.3
                  status: SUCCESS
                  log: Success
                - id: 18
                  code: ECONOMICS_AI_PLACEHOLDER
                  label: Economics
                  category_id: 6
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 18
                  value: -2
                  score_100: -2
                  weighted_score_100: 7.77
                  score_850: -2
                  weighted_score_850: 7.77
                  status: SUCCESS
                  log: Success
                - id: 19
                  code: LIQUIDITY_RATIOS_AI_PLACEHOLDER
                  label: Liquidity Ratios
                  category_id: 6
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 19
                  value: -2
                  score_100: -2
                  weighted_score_100: 0.02
                  score_850: -2
                  weighted_score_850: 0.02
                  status: SUCCESS
                  log: Success
              score: '10.12'
              score_100: '10.12'
              score_850: '10.12'
            - id: 8
              code: PERFORMANCE_MEASURES
              label: Performance Measures
              is_deleted: false
              total_weightage: 0
              factors:
                - id: 22
                  code: PROFITABILITY_RATIOS_AI_PLACEHOLDER
                  label: Profitability Ratio
                  category_id: 8
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 22
                  value: -2
                  score_100: -2
                  weighted_score_100: 2.51
                  score_850: -2
                  weighted_score_850: 2.51
                  status: SUCCESS
                  log: Success
                - id: 23
                  code: VALUATION_RATIOS_AI_PLACEHOLDER
                  label: Valuation Ratio
                  category_id: 8
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 23
                  value: -2
                  score_100: -2
                  weighted_score_100: 1.83
                  score_850: -2
                  weighted_score_850: 1.83
                  status: SUCCESS
                  log: Success
                - id: 24
                  code: FINANCIAL_RISKS_AI_PLACEHOLDER
                  label: Financial Risks
                  category_id: 8
                  is_deleted: false
                  parent_factor_id: null
                  weightage: 0
                  factor_id: 24
                  value: -2
                  score_100: -2
                  weighted_score_100: 3.88
                  score_850: -2
                  weighted_score_850: 3.88
                  status: SUCCESS
                  log: Success
              score: '8.22'
              score_100: '8.22'
              score_850: '8.22'
          is_score_calculated: true
    ScoreDistribution:
      title: ScoreDistribution
      type: object
      properties:
        id:
          type: integer
          contentEncoding: int32
        code:
          type: string
        label:
          type: string
        is_deleted:
          type: boolean
        total_weightage:
          type: integer
          contentEncoding: int32
        factors:
          type: array
          items:
            $ref: '#/components/schemas/Factor'
          description: ''
        score:
          type: string
        score_100:
          type: string
        score_850:
          type: string
      examples:
        - id: 2
          code: PUBLIC_RECORDS
          label: Public Records
          is_deleted: false
          total_weightage: 40
          factors:
            - id: 14
              code: JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER
              label: Judgements and Liens
              category_id: 2
              is_deleted: false
              parent_factor_id: null
              weightage: 0
              factor_id: 14
              value: -2
              score_100: -2
              weighted_score_100: -0.11
              score_850: -2
              weighted_score_850: -0.11
              status: SUCCESS
              log: Success
            - id: 15
              code: SOCIAL_REVIEWS_AI_PLACEHOLDER
              label: Social Reviews
              category_id: 2
              is_deleted: false
              parent_factor_id: null
              weightage: 0
              factor_id: 15
              value: -2
              score_100: -2
              weighted_score_100: 24.82
              score_850: -2
              weighted_score_850: 24.82
              status: SUCCESS
              log: Success
            - id: 16
              code: BANKRUPTCIES_AI_PLACEHOLDER
              label: Bankruptcies
              category_id: 2
              is_deleted: false
              parent_factor_id: null
              weightage: 0
              factor_id: 16
              value: -2
              score_100: -2
              weighted_score_100: 86.31
              score_850: -2
              weighted_score_850: 86.31
              status: SUCCESS
              log: Success
          score: '111.02'
          score_100: '111.02'
          score_850: '111.02'
    Factor:
      title: Factor
      type: object
      properties:
        id:
          type: integer
          contentEncoding: int32
        code:
          type: string
        label:
          type: string
        category_id:
          type: integer
          contentEncoding: int32
        is_deleted:
          type: boolean
        parent_factor_id:
          type:
            - string
            - 'null'
        weightage:
          type: integer
          contentEncoding: int32
        factor_id:
          type: integer
          contentEncoding: int32
        value:
          type: integer
          contentEncoding: int32
        score_100:
          type: integer
          contentEncoding: int32
        weighted_score_100:
          type: number
        score_850:
          type: integer
          contentEncoding: int32
        weighted_score_850:
          type: number
        status:
          type: string
        log:
          type: string
      examples:
        - id: 14
          code: JUDGEMENTS_AND_LIENS_AI_PLACEHOLDER
          label: Judgements and Liens
          category_id: 2
          is_deleted: false
          parent_factor_id: null
          weightage: 0
          factor_id: 14
          value: -2
          score_100: -2
          weighted_score_100: -0.11
          score_850: -2
          weighted_score_850: -0.11
          status: SUCCESS
          log: Success
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````